# eric4.KdeQt.KQApplication

Compatibility module to use KApplication instead of QApplication.

### Global Attributes

e4App

### Classes

KQApplicationMixin | Private mixin class implementing methods common to both KQApplication bases.
__kdeKQApplication | Compatibility class to use KApplication instead of Qt's QApplication.
__qtKQApplication | Compatibility class to use QApplication.

### Functions

KQApplication | Public function to instantiate an application object.

## KQApplicationMixin

Private mixin class implementing methods common to both KQApplication bases.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

KQApplicationMixin | Constructor
_localeString | Protected function to get the string for the configured locale.
getObject | Public method to get a reference to a registered object.
getPluginObject | Public method to get a reference to a registered plugin object.
getPluginObjectType | Public method to get the type of a registered plugin object.
getPluginObjects | Public method to get a list of (name, reference) pairs of all registered plugin objects.
registerObject | Public method to register an object in the object registry.
registerPluginObject | Public method to register a plugin object in the object registry.
unregisterPluginObject | Public method to unregister a plugin object in the object registry.

### Static Methods

None

#### KQApplicationMixin (Constructor)

KQApplicationMixin()

Constructor

#### KQApplicationMixin._localeString

_localeString()

Protected function to get the string for the configured locale.

Returns:
  locale name (string)

#### KQApplicationMixin.getObject

getObject(name)

Public method to get a reference to a registered object.

name
  name of the object (string)

Returns:
  reference to the registered object

Raises KeyError:
  raised when the given name is not known

#### KQApplicationMixin.getPluginObject

getPluginObject(name)

Public method to get a reference to a registered plugin object.

name
  name of the plugin object (string)

Returns:
  reference to the registered plugin object

Raises KeyError:
  raised when the given name is not known

#### KQApplicationMixin.getPluginObjectType

getPluginObjectType(name)

Public method to get the type of a registered plugin object.

name
  name of the plugin object (string)

Returns:
  type of the plugin object (string)

Raises KeyError:
  raised when the given name is not known

#### KQApplicationMixin.getPluginObjects

getPluginObjects()

Public method to get a list of (name, reference) pairs of all registered plugin objects.

Returns:
  list of (name, reference) pairs

#### KQApplicationMixin.registerObject

registerObject(name, object)

Public method to register an object in the object registry.

name
  name of the object (string)
object
  reference to the object

Raises KeyError:
  raised when the given name is already in use

#### KQApplicationMixin.registerPluginObject

registerPluginObject(name, object, pluginType = None)

Public method to register a plugin object in the object registry.

name
  name of the plugin object (string)
object
  reference to the plugin object
pluginType=
  type of the plugin object (string)

Raises KeyError:
  raised when the given name is already in use

#### KQApplicationMixin.unregisterPluginObject

unregisterPluginObject(name)

Public method to unregister a plugin object in the object registry.

name
  name of the plugin object (string)

Up

## __kdeKQApplication

Compatibility class to use KApplication instead of Qt's QApplication.

### Derived from

KApplication, KQApplicationMixin

### Class Attributes

None

### Class Methods

None

### Methods

__kdeKQApplication | Constructor

### Static Methods

None

#### __kdeKQApplication (Constructor)

__kdeKQApplication(argv, opts)

Constructor

argv
  command line arguments
opts
  acceptable command line options

Up

## __qtKQApplication

Compatibility class to use QApplication.

### Derived from

QApplication, KQApplicationMixin

### Class Attributes

None

### Class Methods

None

### Methods

__qtKQApplication | Constructor

### Static Methods

None

#### __qtKQApplication (Constructor)

__qtKQApplication(argv, opts)

Constructor

argv
  command line arguments
opts
  acceptable command line options (ignored)

Up

## KQApplication

KQApplication(argv, opts)

Public function to instantiate an application object.

argv
  command line arguments
opts
  acceptable command line options

Returns:
  reference to the application object

Up